#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;

int main() {
    ios_base::sync_with_stdio(false);

    // Input

    ull n;
    cin >> n;

    int a[n];

    for (ull i = 0; i < n; i++) {
        cin >> a[i];
    }

    // Algo



    // Output

    for (int i = 0; i < n; i++) {
        cout << a[i] << ' ';
    }

    return 0;
}